View Issue Details

IDProjectCategoryView StatusLast Update
0003491SymmetricDSBugpublic2018-03-20 12:56
ReportergwilmerAssigned Togwilmer 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.34Fixed in Version3.8.34 
Summary0003491: Incoming staging files can be purged by the staging manager before they are processed
DescriptionIncoming staging files can be purged by the staging manager before they are processed.

Staging files are written before the sym_incoming_batch row is written. In rare cases based on timing, the StagingManager cleanup process can purge a file after it has been written to staging, and before the batch is written to sym_incoming_batch. A message will appear in the log as follows:

2018-03-15 07:25:33,365 INFO [client] [DataLoaderService] [client-dataloader-3] The batch server-57 was missing in staging. Setting status to resend.

This ONLY occurs when incoming batch ids are out of sequence (i.e. multiple channels and/or multiple source nodes).

In normal situations, this issue resolves itself by the target side requesting a resend of the batch and the source side sending it.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 2b4bbf4a

2018-03-15 15:48:39

gregwilmer

Details Diff
0003491: Fix timing issue in purge of incoming batch.
0003491
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 25eab8ba

2018-03-15 15:59:22

gregwilmer

Details Diff
3491: Increase min time to live default.
0003491
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2018-03-15 08:35 gwilmer New Issue
2018-03-15 08:35 gwilmer Status new => assigned
2018-03-15 08:35 gwilmer Assigned To => gwilmer
2018-03-15 16:00 Changeset attached => SymmetricDS 3.8 25eab8ba
2018-03-15 16:00 Changeset attached => SymmetricDS 3.8 2b4bbf4a
2018-03-15 20:44 gwilmer Status assigned => resolved
2018-03-15 20:45 gwilmer Fixed in Version => 3.8.34
2018-03-18 16:37 chenson Product Version => 3.8.0
2018-03-18 16:38 chenson Resolution open => fixed
2018-03-18 21:05 gwilmer Issue cloned: 0003497
2018-03-20 12:56 chenson Status resolved => closed